For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
          • V3
          • V2
              • GETList Customers
              • POSTCreate Customer
              • DELDelete Customers
              • GETGet Customer
              • PUTUpdate Customer
              • DELDelete Customer
              • GETGet Count of Customers
                • GETList Customer Addresses
                • POSTCreate Customer Address
                • DELDelete Customer Address
                • GETGet Customer Address
                • PUTUpdate Customer Address
                • DELDelete Customer Address
                • GETGet Count of Customer Addresses
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementCustomersV2Customer Addresses

List Customer Addresses

Deprecated
GET
https://api.bigcommerce.com/stores/:store_hash/v2/customers/:customer_id/addresses
GET
/stores/:store_hash/v2/customers/:customer_id/addresses
$curl https://api.bigcommerce.com/stores/store_hash/v2/customers/1/addresses \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
200Retrieved
1[
2 {
3 "city": "Austin",
4 "country": "United States",
5 "first_name": "Jane",
6 "last_name": "Doe",
7 "phone": "123-345-7890",
8 "state": "Texas",
9 "street_1": "123 Main Street",
10 "zip": "78726",
11 "address_type": "residential",
12 "company": "BigCommerce",
13 "country_iso2": "US",
14 "customer_id": 5,
15 "id": 3,
16 "street_2": "string"
17 }
18]

Returns a list of Customer Addresses. Returns the addresses belonging to a customer. Default sorting is by address id, from lowest to highest. The maximum limit is 250. If a limit isn’t provided, up to 50 customer_addresses are returned by default.

Was this page helpful?
Previous

Get Count of Customers

Next

Create Customer Address

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Customers | modify | `store_v2_customers` | | Customers | read-only | `store_v2_customers_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

customer_idintegerRequired
Unique numeric ID of the customer.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

pagedoubleOptional
Number of pages.
limitdoubleOptional
Count per page.

Response

citystring

The customer’s city/town/suburb.

countrystring

The customer’s country. Must be the full country name.

first_namestring

The customer’s first name.

last_namestring

The customer’s last name.

phonestring

The customer’s phone number.

statestring

The customer’s state/province. Do not abbreviate the state; spell out the entire word. For example, California. (Cannot be null. As a workaround for addresses that include no state/province string, pass a space as the “state” value.)

street_1string

The customer’s street address, line 1.

zipstring

The customer’s ZIP or postal code.

address_typeenum
Allowed values:
companystring

The customer’s company name.

country_iso2stringRead-only

2-letter ISO Alpha-2 code for the customer’s country. Read-Only.

customer_idinteger
ID of the associated customer.
idintegerRead-only

ID of this customer address. Read-Only.

street_2string

The customer’s street address, line 2.

OAuth scopes

UI NamePermissionParameter
Customersmodifystore_v2_customers
Customersread-onlystore_v2_customers_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.